Raritan / Server Technology Xerus™ PDU JSON-RPC API: pdumodel::Ade Interface Reference

Raritan / Server Technology Xerus™ PDU JSON-RPC API

Classes | Public Types | Public Member Functions | List of all members
pdumodel::Ade Interface Reference

Interface for ADE chips directly connected to main controller. More...

`import"Ade.idl";`

## Classes
struct | MetaData
| ADE metadata. More...
struct | Sample
| Raw sample data for a single channel. More...

## Public Types
typedef map< string, long > | RegisterMap
| Map of ADE register values.

## Public Member Functions
MetaData | getMetaData ()
| Retrieve the ADE metadata. More...
vector< Sample > | getLatestSample ()
| Retrieve the latest raw samples. More...
RegisterMap | getCalibrationData ()
| Retrieve the values of all supported calibration registers. More...
int | setCalibrationData (in RegisterMap regs)
| Set new values for some or all calibration registers. More...

## Detailed Description

Interface for ADE chips directly connected to main controller.

## Member Function Documentation

## ◆ getCalibrationData()

RegisterMap pdumodel::Ade::getCalibrationData | ( |  | ) |

Retrieve the values of all supported calibration registers.

Returns
  Map of calibration register values

## ◆ getLatestSample()

vector<Sample> pdumodel::Ade::getLatestSample | ( |  | ) |

Retrieve the latest raw samples.

Returns
  Vector of samples, one for each channel

## ◆ getMetaData()

MetaData pdumodel::Ade::getMetaData | ( |  | ) |

Retrieve the ADE metadata.

Returns
  ADE metadata

## ◆ setCalibrationData()

int pdumodel::Ade::setCalibrationData | ( | in RegisterMap | regs | ) |

Set new values for some or all calibration registers.

Note
  This command is only available during manufacturing!

Parameters

  regs | Map of new calibration register values

Returns
  0 if OK
  1 if any parameters are invalid
  2 if the device is not in factory configuration mode

The documentation for this interface was generated from the following file:

- Ade.idl